summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLarry Knox <lrknox@hdfgroup.org>2016-08-30 22:11:45 (GMT)
committerLarry Knox <lrknox@hdfgroup.org>2016-08-30 22:11:45 (GMT)
commit156d6de33bc7d63483c80acfe005aa874597e2b2 (patch)
tree3337fd2d16ae31111274b718709b8866c0247be7
parent1926e1c5ca47e5184242f05a0e824b54d60bf228 (diff)
parent5aee5213190f145b5a734f5dc76a67c82f7d6b82 (diff)
downloadhdf5-156d6de33bc7d63483c80acfe005aa874597e2b2.zip
hdf5-156d6de33bc7d63483c80acfe005aa874597e2b2.tar.gz
hdf5-156d6de33bc7d63483c80acfe005aa874597e2b2.tar.bz2
Merge pull request #4 in HDFFV/hdf5 from ~LRKNOX/hdf5_lrk:hdf5_1_8 to hdf5_1_8
* commit '5aee5213190f145b5a734f5dc76a67c82f7d6b82': emoved .gitattributes and .gitignore, as the manual migration did not create them. Corrected bbrelease script to create new release version with revision hash. Translate svn commands to git commands for chkmanifest and bbrelease scripts with source in git repository. Removed the -p option from the command to run autogen.sh. It interfered with running chkmanifest on a machine with the correct autotools versions but without access to /usr/hdf/bin/AUTOTOOLS. The autogen.sh script says the option is for HDF group use only and is likely to be removed. The same effect can be achieved by adding /usr/hdf/bin/AUTOTOOLS to the beginning of PATH. Removed the -p option from the command to run autogen.sh. It interfered with running chkmanifest on a machine with the correct autotools versions but without access to /usr/hdf/bin/AUTOTOOLS. The autogen.sh script says the option is for HDF group use only and is likely to be removed. The same effect can be achieved by adding /usr/hdf/bin/AUTOTOOLS to the beginning of PATH.
-rw-r--r--MANIFEST2
-rwxr-xr-xbin/bbrelease21
-rwxr-xr-xbin/chkmanifest25
3 files changed, 34 insertions, 14 deletions
diff --git a/MANIFEST b/MANIFEST
index 1ad5687..e3045c9 100644
--- a/MANIFEST
+++ b/MANIFEST
@@ -21,8 +21,6 @@
#------------------------------------------------------------------------------
./.autom4te.cfg _DO_NOT_DISTRIBUTE_
-./.gitattributes _DO_NOT_DISTRIBUTE_
-./.gitignore _DO_NOT_DISTRIBUTE_
./.h5chkright.ini _DO_NOT_DISTRIBUTE_
./ACKNOWLEDGMENTS
./COPYING
diff --git a/bin/bbrelease b/bin/bbrelease
index 7dcb535..aa0ce33 100755
--- a/bin/bbrelease
+++ b/bin/bbrelease
@@ -33,6 +33,15 @@
#
# James Laird, 2005-09-07
# Added the md5 method.
+#
+# Larry Knox, 2016-08-30
+# Added the --revision option to create private releases with the
+# code revision hash in the version strings. Currently the version
+# of this script with the --revision option is named bbrelease. It
+# can probably be merged into the original release script in the
+# future.
+# Commands to get the revision hash have now been converted to git
+# to match the source repository change.
# Function definitions
#
@@ -257,17 +266,18 @@ fi
if [ X$revmode = Xyes ]; then
VERS_OLD=$VERS
+ echo "Save old version $VERS_OLD for restoration later."
# Copy old version of config/lt_vers.am, since it's hard to
# "undo" changes to it.
cp config/lt_vers.am $tmpdir
- branch=`svn info | grep ^URL: | awk -F/ '{print $NF}'`
- revision=`svn info | grep "Revision:" | awk '{print $2}'`
- # Set version information to m.n.r-r$revision.
+ branch=`git branch | grep '*' | awk '{print $NF}'`
+ revision=`git rev-parse HEAD`
+# Set version information to m.n.r-r$revision.
# (h5vers does not correctly handle just m.n.r-$today.)
- VERS=`echo $VERS | sed -e s/-.*//`-r$revision
+ VERS=`echo $VERS | sed -e s/-.*//`-$revision
echo Private release of $VERS
bin/h5vers -s $VERS
- HDF5_VERS=hdf5-$branch-r$revision
+ HDF5_VERS=hdf5-$branch-$revision
# use a generic directory name for revision releases
HDF5_IN_VERS=hdfsrc
else
@@ -384,6 +394,7 @@ test -f $tmpdir/Makefile.x && mv $tmpdir/Makefile.x Makefile
# Restore OLD version information, then no need for trap.
if [ X$pmode = Xyes ] || [ X$revmode = Xyes ]; then
+ echo "Restore the original version $VERS_OLD"
RESTORE_VERSION
trap 0
fi
diff --git a/bin/chkmanifest b/bin/chkmanifest
index a460744..f747dce 100755
--- a/bin/chkmanifest
+++ b/bin/chkmanifest
@@ -49,6 +49,19 @@ else
fi
fi
+# Do an autogen if generated files (e.g., configure) is not present
+if [ ! -f configure ]; then
+ echo " running $AUTOGEN"
+ $AUTOGEN > $AUTOGEN_LOG 2>&1
+ if [ $? -ne 0 ]; then
+ echo $AUTOGEN encountered error. Abort.
+ echo output from $AUTOGEN:
+ cat $AUTOGEN_LOG
+ exit 1
+ fi
+ rm $AUTOGEN_LOG
+fi
+
# Check for duplicate entries. This can be done at any time, but it may as
# well be sooner so that if something else fails the presence of duplicates
# will already be known.
@@ -77,23 +90,22 @@ done
# Get the list of files under version control and check that they are
# present.
#
-# First get a list of all the pending files with svn stat and
+# First get a list of all the pending files with git status and
# check those.
git_stat=`git status -s`
for file in $git_stat; do
- # Newly added files are not listed by svn ls, which
+ # Newly added files are not listed by git ls-files, which
# we check later.
# The line listing new files starts with 'A'.
letter=`echo $file | head -c 1`
if [ "$letter" = "A" ]; then
- # Convert the seven Subversion status columns to './' so it matches
+ # Convert the git status columns to './' so it matches
# the manifest file name.
#
# There is a space between the status columns and file name, hence
- # the '8' instead of '7'.
- # For git status -s it's 3 instead of 8.
+ # the '3'.
path=`echo $file | sed 's/^.\{3\}/\.\//g'`
# Ignore directories
if [ ! -d $path ]; then
@@ -107,9 +119,8 @@ for file in $git_stat; do
fi
done
-# Next check svn ls, which gets a list of all files that are
+# Next check git ls-files, which gets a list of all files that are
# checked in.
-##svn_ls=`svn ls -R`
git_ls=`git ls-files`
for file in $git_ls; do
path="./${file}"